# Group View Pack

This unofficial TaleSpire pluigin allows viewing the Others | Local section of the asset library in hierarchy groups. 

This plugin, like all others, is free but if you want to donate, use: http://LordAshes.ca/TalespireDonate/Donate.php

## Change Log
```
1.0.0: Initial release
```
## Install

Use R2ModMan or similar installer to install this plugin.

## Usage

### Adding Content

In your Talespire Data folder, typically ``C:\Users\%USERNAME%\AppData\LocalLow\BouncyRock Entertainment\TaleSpire``
there should be a ``LocalContentPacks`` folder. This is where Talespire expects Local ``tsMod`` files.

Do **NOT** place your tsMods in this folder. Instead:

1. Create a ``LocalContentPacksByGroups`` besides the existing folder.
2. Inside this folder, create the hierarchy that you want to be accessible in Talespire.

For example, ``C:\Users\%USERNAME%\AppData\LocalLow\BouncyRock Entertainment\TaleSpire\LocalContentPacksByGroups\Demons``

3. Place your ``tsMod`` within this hierarchy.

### Using The Group View

1. Open the Asset Library to the Others | Local folder.
2. Press the keyboard shortcut for activating the Group View plugin.
3. Select the desire folder using the Group View buttons.
4. Select the desired asset, as usual, from the listed assets.

Default Activation Key: ``HOME``

## Limitation

The ``C:\Users\%USERNAME%\AppData\LocalLow\BouncyRock Entertainment\TaleSpire\LocalContentPacks`` must always have at least
one asset so that the Local folder does not disppear in Talespire. As such the plugin places a ``_GroupViewPluginAsset.tsMod``
asset in this folder and this asset remains regardless which folder is showing. Do not remove this asset.
